Bug 230295 - Move scrollbar-related code out of ScrollAnimator and into ScrollbarsController
Summary: Move scrollbar-related code out of ScrollAnimator and into ScrollbarsController
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Scrolling (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on: 230371 230372
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-14 21:31 PDT by Simon Fraser (smfr)
Modified: 2021-09-17 21:26 PDT (History)
3 users (show)

See Also:


Attachments
For EWS (172.85 KB, patch)
2021-09-14 21:34 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Patch (185.89 KB, patch)
2021-09-14 22:55 PDT, Simon Fraser (smfr)
thorton: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (185.42 KB, patch)
2021-09-15 10:36 PDT, Simon Fraser (smfr)
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (185.44 KB, patch)
2021-09-15 10:56 PDT, Simon Fraser (smfr)
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (188.75 KB, patch)
2021-09-17 19:28 PDT, Simon Fraser (smfr)
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (189.14 KB, patch)
2021-09-17 19:37 PDT, Simon Fraser (smfr)
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (188.93 KB, patch)
2021-09-17 20:15 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2021-09-14 21:31:32 PDT
Move scrollbar-related code out of ScrollAnimator and into ScrollbarsController
Comment 1 Simon Fraser (smfr) 2021-09-14 21:34:35 PDT
Created attachment 438210 [details]
For EWS
Comment 2 Simon Fraser (smfr) 2021-09-14 22:55:21 PDT
Created attachment 438215 [details]
Patch
Comment 3 Tim Horton 2021-09-15 00:09:06 PDT
Comment on attachment 438215 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=438215&action=review

Best make it build.

> Source/WebCore/Sources.txt:1821
> +platform/ScrollbarsController.cpp

I am vaguely surprised about the plural.

> Source/WebCore/platform/mac/ScrollbarsControllerMac.mm:197
> +    RetainPtr<NSTimer> _timer;

Cocoa timer instead of ours is kind of surprising, though I suppose not a problem and not new?
Comment 4 Simon Fraser (smfr) 2021-09-15 10:36:57 PDT
Created attachment 438258 [details]
Patch
Comment 5 Simon Fraser (smfr) 2021-09-15 10:56:06 PDT
Created attachment 438259 [details]
Patch
Comment 6 Simon Fraser (smfr) 2021-09-15 22:55:17 PDT
The WK1 test failure are about the timing of the call to intgernals.setUsesMockScrollAnimator() vs creation of ScrollAnimator. The test has different results on first and second runs.
Comment 7 Simon Fraser (smfr) 2021-09-17 19:28:53 PDT
Created attachment 438542 [details]
Patch
Comment 8 Simon Fraser (smfr) 2021-09-17 19:37:20 PDT
Created attachment 438543 [details]
Patch
Comment 9 Simon Fraser (smfr) 2021-09-17 20:15:22 PDT
Created attachment 438545 [details]
Patch
Comment 10 EWS 2021-09-17 21:25:01 PDT
Committed r282720 (241857@main): <https://commits.webkit.org/241857@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438545 [details].
Comment 11 Radar WebKit Bug Importer 2021-09-17 21:26:18 PDT
<rdar://problem/83265293>